import { Button } from "antd";
import React from "react";
import ipcTypes from "../../../ipc.types";
const { ipcRenderer } = window;

export default function WatcherStartMolecule(buttonProps) {
  const handleClick = () => {
    ipcRenderer.send(ipcTypes.fileWatcher.toMain.start);
  };

  return <Button {...buttonProps} onClick={handleClick}>Start Watcher</Button>;
}
